Update

Updates the properties of an existing tariff.

The body of the request requires the tariff "name" and "companyName". These must match the corresponding parts of the tariff identifier in the URL. Note that if you create a tariff with mixed case in these two properties, it will be converted to lower-case and both the identifier in the path and these two properties must be in lower case in this PATCH request. If these do not match you will receive a 422 response.

You can PATCH a tariff in order to update the list of "exceptions" for an existing "pricingPeriod".

You can PATCH a tariff to alter the prices for an existing "pricingPeriod".

You can PATCH a tariff to extend the "end" date of the latest "pricingPeriod".

The latest "pricingPeriod" in a tariff can be opened-ended; i.e. you can omit the "end" property. An open-ended "pricingPeriod" extends indefinitely into the future. If you later PATCH the tariff again with a new "pricingPeriod" with a "start" that is after the "start" of the open-ended "pricingPeriod", that previously open-ended "pricingPeriod" will be automatically modified to have an "end" property that matches the "start" property of the new "pricingPeriod"; i.e. it will become closed at the point when the new "pricingPeriod" starts.

If you PATCH a tariff with a "pricingPeriod" that has a "start" date that's before the "end" date of the latest "pricingPeriod", we will modify that latest "pricingPeriod" to end before the new "pricingPeriod" and add a new "pricingPeriod" with the given "start" and "end" dates. E.g. if the lastest "pricingPeriod" had "start:2024-01-01; end:2024-01-31" and you PATCH the tariff with a new "pricingPeriod" with "start:2024-01-20; end:2024-02-29", you will end up with a tariff that contains a "pricingPeriod" from "start:2024-01-01; end:2024-01-19" and a new "pricingPeriod" from "start:2024-01-20; end:2024-02-29".

If you PATCH a tariff with a new "pricingPeriod" whose "start" date is not contiguous with the current latest "pricingPeriod" you will receive a 422 response because we will refuse to allow a gap in the tariff. E.g. if the current latest "pricingPeriod" has "end:2024-02-01" and you PATCH the tariff with a new "pricingPeriod" with "start:2024-02-02" (or later) you will receive a 422 error. The new "pricingPeriod" must have a start of "2024-02-01" (or earlier) in order to avoid leaving a gap.

You can PATCH a tariff with multiple new "pricingPeriods" at once. If you do this, you must make sure that there are no gaps between the "pricingPeriods" (as detailed above). If there are any gaps you will receive a 422 response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The unique identifier of the periodical tariff

Body Params

Represents the details of a specific tariff.

string
required

The tariff name.

string
required

The name of the company offering this tariff.

properties
object
required

Contains various properties related to the tariff.

Responses
204

204 response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json